--- old/usr/src/uts/common/vm/seg_spt.c	2014-07-28 07:44:56.041895651 -0400
+++ new/usr/src/uts/common/vm/seg_spt.c	2014-07-28 07:44:56.047857406 -0400
@@ -1088,7 +1088,7 @@
 	 * In either case, we increment softlockcnt on the 'real' segment.
 	 */
 	sptd->spt_pcachecnt++;
-	atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), 1);
+	atomic_inc_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 
 	ppa = sptd->spt_ppa;
 	for (an_idx = pg_idx; an_idx < pg_idx + npages; ) {
@@ -1367,7 +1367,7 @@
 	 * In either case, we increment softlockcnt on the 'real' segment.
 	 */
 	sptd->spt_pcachecnt++;
-	atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), 1);
+	atomic_inc_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 
 	/*
 	 * We can now drop the sptd->spt_lock since the ppa[]
@@ -1519,7 +1519,7 @@
 	 * Now decrement softlockcnt.
 	 */
 	ASSERT(shmd->shm_softlockcnt > 0);
-	atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), -1);
+	atomic_dec_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 
 	if (shmd->shm_softlockcnt <= 0) {
 		if (async || AS_ISUNMAPWAIT(seg->s_as)) {
@@ -2911,7 +2911,7 @@
 		 * to keep this segment resident.
 		 */
 		writer = AS_WRITE_HELD(seg->s_as, &seg->s_as->a_lock);
-		atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), 1);
+		atomic_inc_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 		AS_LOCK_EXIT(seg->s_as, &seg->s_as->a_lock);
 
 		mutex_enter(&sptd->spt_lock);
@@ -2935,7 +2935,7 @@
 		/* Regrab the AS_LOCK and release our hold on the segment */
 		AS_LOCK_ENTER(seg->s_as, &seg->s_as->a_lock,
 		    writer ? RW_WRITER : RW_READER);
-		atomic_add_long((ulong_t *)(&(shmd->shm_softlockcnt)), -1);
+		atomic_dec_ulong((ulong_t *)(&(shmd->shm_softlockcnt)));
 		if (shmd->shm_softlockcnt <= 0) {
 			if (AS_ISUNMAPWAIT(seg->s_as)) {
 				mutex_enter(&seg->s_as->a_contents);
